﻿@using BenhVien.MODEL
@using BenhVien.UI.Models
@model List<ChiTietChiPhiNhapVien>
@{
    var nhapvien = (NhapVien)ViewBag.NhapVien;
}

<div class="modal-dialog" style="width:1250px; align-content:center">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Chi phí bệnh nhân đã nộp</h4>
        </div>
        <form class="fv-form fv-form-bootstrap" id="frm-capnhat1">
            <div class="modal-body">
                @*<input type="hidden" id="ChiTietNhapVienID" name="ChiTietNhapVienID" value="@(nhapvien != null? nhapvien.Id.ToString():"")">*@

                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name"> Danh chi phí đã nộp  : </label>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="col-md-3">
                        <input type="button" class="form-control btnPlusContent" value="+" style="border-radius: 36px;width: 36px;float: left;" onclick="plusContent(this)" />
                        <label style="padding: 8px 0px 0px 5px;">Hóa đơn</label>
                    </div>
                    <div class="col-md-offset-3 pnlContent">
                        @foreach (var item in Model)
                         {
                            <div class="form-group">
                                
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <label class="control-label" for="first-name">Số tiền nộp</label>
                                    <div>
                                        <input type="number" min="1" max="10" class="form-control" id="SoTien" name="SoTien" value="@(item.SoTien.Value.ToString())" autocomplete="off" )>
                                    </div>
                                </div>


                                <div class="col-md-4 col-sm-4 col-xs-12">
                                    <label class="control-label" for="first-name">Ngày nộp</label>
                                    <div>
                                        <div class='input-group date datetimepicker1'>
                                            <input type='text' class="form-control" name="NgayNopTien" value="@(item.NgayNopTien != null ? item.NgayNopTien.Value.ToString("dd/MM/yyyy HH:mm:ss"):"")" autocomplete="off" />
                                            <span class="input-group-addon">
                                                <span class="glyphicon glyphicon-calendar"></span>
                                            </span>
                                        </div>
                                    </div>
                                </div>

                                @*<div class="col-md-2 col-sm-2 col-xs-12">
                                        <input type="button" class="form-control btnMinusContent" value="-" style="border-radius: 36px;width: 36px;" onclick="minusContent(this)" />
                                    </div>*@
                            </div>
                        }

                    </div>
                </div>



            </div>
            <div class="clearfix"></div>
            <div class="modal-footer">
                <button id="btn-save2" type="button" onclick="SaveVienPhi()" class="btn btn-success" disabled="@(nhapvien != null && (nhapvien.TrangThaiID == EnumTrangThaiNhapVien.CHUYEN_TUYEN || nhapvien.TrangThaiID == EnumTrangThaiNhapVien.XUAT_VIEN))"  >Lưu</button>
                <button type="button" class="btn btn-primary" data-dismiss="modal">Thoát</button>
            </div>
        </form>
    </div>
</div>
<script>
   
    
    $(document).ready(function () {
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
        $('.datetimepicker1').datetimepicker({
            format: "DD/MM/YYYY"
        });
    });
    function plusContent(e) {
        var t = $($(e).parents('.panel-body')[0]).find('.pnlContent')[0];
        var c =
`<div class="form-group">
 <div class ="col-md-6 col-sm-6 col-xs-12">
                                    <label class ="control-label" for="first-name">Số tiền nộp</label>
                                    <div>
                                        <input type="number" min ="1" class ="form-control" id="SoTien" name="SoTien" value="" autocomplete="off") >
                                    </div>
                                </div>
                                <div class="col-md-4 col-sm-4 col-xs-12">
                                    <label class="control-label" for="first-name">Ngày nộp</label>
                                    <div>
                                        <div class='input-group date datetimepicker1'>
                                            <input type='text' class="form-control" name="NgayNopTien" autocomplete="off" />
                                            <span class="input-group-addon">
                                                <span class="glyphicon glyphicon-calendar"></span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
	 <div class ="col-md-2 col-sm-2 col-xs-12">
      <label class ="control-label" for="first-name"></label>
		<input type="button" class="form-control btnMinusContent" value="-" style="border-radius: 36px;width: 36px;" onclick="minusContent(this)" />
	</div>
</div>`;
        $(t).append(c);
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
        $('.datetimepicker1').datetimepicker({
            format: "DD/MM/YYYY"
        });
        $('[name=NgayBatDau]').datetimepicker({ format: 'DD/MM/YYYY' });
        $('[name=NgayKetThuc]').datetimepicker({
            format: 'DD/MM/YYYY',
        });
        $("[name=NgayBatDau]").on("dp.change", function (e) {
            $('[name=NgayKetThuc]').data("DateTimePicker").minDate(e.date);
        });
        $("[name=NgayKetThuc]").on("dp.change", function (e) {
            $('[name=NgayBatDau]').data("DateTimePicker").maxDate(e.date);
        });
    }
    function minusContent(e) {
        $(e).parents('.form-group')[0].remove();
    }
    function minusGroup(e) {
        $(e).parents('.pnlGroup')[0].remove();
    }
    function collapseContent(e) {
        $(e).children().toggleClass("glyphicon-chevron-up").toggleClass("glyphicon-chevron-down");
        $($(e).parents('.pnlGroup')[0]).find("div.panel-body").toggle();
    }
</script>
<script>
    $(document).ready(function () {
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
    })
</script>
<script>

    function SaveVienPhi() {
        debugger;
        var arr = [];
        var length = $('[name=SoTien]').length;
        for (var i = 0; i < length; i++) {
            var obj = {
                SoTien: $('[name=SoTien]')[i].value,
                NgayNopTien: $('[name=NgayNopTien]')[i].value.split('/').reverse().join('-')
            }
            arr.push(obj);
        }
        var params = {
            Id: $('#Id').val(),
            NhapVienID: $('#NhapVienID').val(),
            KhoaID: $('#KhoaID').val(),
            PhongID: $('#PhongID').val(),

            BacSiID: $('#BacSiID').val(),
            YTaID: $('#YTaID').val(),
            ChuanDoanTuKhoaTruoc: $('#ChuanDoanTuKhoaTruoc').val(),
            ChuanDoanTamThoi: $('#ChuanDoanTamThoi').val(),
            BenhID: $('#BenhID').val(),
            TrangThaiID: $('#TrangThaiID').val(),
            list :arr
        }
        $.ajax({
            url: '@Url.Action("DatCocVienPhi", "NhapVien", new { area = "QuanTri" })',
            type: 'POST',
            data: params,
            success: function (data) {
                if (data.kq == "ok") {
                    donThuocID = data.data;
                    alertify.success(data.msg);
                    $('#modal-qltaikhoan').modal('hide');
                    location.reload();
                    @*window.location.href = '@Url.Action("MainPage", "KhamBenh", new { area= "QuanTri" })';*@
                    }
                else {
                    alertify.error(data.msg);
                    document.getElementById("btn-save1").disabled = false;
                    $("#btn-save1").removeClass("disabled");
                }
            }
        });
    }

</script>






